Subject: Crashes with AVI and REV C solution and how to do it (fwd)
From: Adam Ives Chrystie <[email-masked]>
To: [email-masked]
Date: Mon, 8 Jan 1996 16:37:23 -0800 (PST)

---------- Forwarded message ----------
Date: Mon, 8 Jan 1996 16:33:59 -0800 (PST)
From: Adam Ives Chrystie <[email-masked]>
To: LW BUGS <[email-masked]>
Subject: Crashes with AVI and REV C solution and how to do it

 For soem reason REV C will ALWAYS crash when i do the following. Follow 
the steps..ORDER is important or you will not crash the system. Make sure 
your system has all AVI loaders HIIP-16,HIIP-32 and NewTEK-AVI this is 
important too.

How to cause a crash on my system 100% of the time on any scene:

1) Load Layout
2) load a scene
3) go to record menu
4)click on save anim filew..give it a file name.
5) select NEWTEK-AVI as the AVI type.
6) render the animation
7) SAVE the scene!!!!! (This sets teh preffered avi type to NewTEk's and 
keeps the file name)
8) view animation using meadia player
9) Load Layout
10) load the same scene
11) Go to the record menu..the anim type should alread be at NewTEk-AVI
12) try to change it to HIIP-32 or none or anyhting..WHAM CRASH
13) if you skip #12 and just continue and render animation..WHAMMO!! 
Crash the second before the AVI selection codec menu is supposed to appear..

The following happens 100% of the time on my system when using REV C..If 
I downgrade to REV B..everything is fine!!

MY SYSTEM::
I use NT 3.51 Service pack#3( the crashes occured during service pack#2 
as well), 32 megs EDO, the AVI32 bit files were reinstalled from my 
NT 3.51 CD rom after rev B was installed. My first final 4.0 was REV B. I 
use Video for windows 1.1E. 

The solution: 

 Well, I editied all scene fies using an ascii editor to 
anim type 0..this forced them back to read NONE when i loaded layout..now 
i must always select anim type as NONE before i save the scene. Layout 
REV C does not seem to like having an AVI type saved in the LWS file..I 
dunno why..I can give a dr. watson report if you want..etcc..

Also I have had times where layout says (NULL) as anim type!

----------------------------------
Adam Chrystie LightWave 3D Animator
Cinema/Video Major, Senior
University Of California at Santa Cruz